camlidl (1.09-2~ubuntu21.04.1) hirsute; urgency=low

  * No-change backport to hirsute

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sat, 17 Apr 2021 21:55:54 +0200

camlidl (1.09-2) groovy; urgency=low

  * Compatibility with dune/jbuilder.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 21 Sep 2020 19:20:42 +0200

camlidl (1.09-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 11:56:32 +0200

camlidl (1.05-16) unstable; urgency=medium

  * Team upload
  * Switch to dh (and bump dh compat level to 12)
    - do no longer build and install manpage, which used CDBS
  * Bump Standards-Version to 4.4.0
  * Update Vcs-*
  * Switch debian/copyright to format 1.0
  * Remove Samuel and myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Jul 2019 14:17:16 +0200

camlidl (1.05-15.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update home page and update outdated links from alioth to salsa.
  * Add Portuguese man page translation, thanks to Américo Monteiro.
    (closes: #759130)
  * Add German man page translation, thanks to Chris Leick (closes: #863533)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 20 Jan 2019 06:38:16 +0100

camlidl (1.05-15) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Dimitri John Ledkov ]
  * Import upstream patch to fix compatibility with ocaml 4.03+.

  [ Stéphane Glondu ]
  * Bump debhelper compat to 10
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 11:31:12 +0200

camlidl (1.05-14) unstable; urgency=low

  * debian/mk/docbook-manpage.mk: build-arch, not build, must depend on
    docbook-manpage (closes: #666381)

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Apr 2012 20:41:01 +0200

camlidl (1.05-13) unstable; urgency=low

  * debian/control:
    - adapt to new dh-ocaml
    - move to section ocaml
    - add myself to Uploaders; remove Remi, Stefano and Sven
    - remove Conflicts to camlidl-doc (older than oldstable)
    - add Homepage
    - update Standards-Version to 3.9.0
  * debian/rules: fix order of CDBS includes
  * Update debian/watch
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Jul 2010 18:52:05 +0200

camlidl (1.05-12) unstable; urgency=low

  * Add missing build-dependency on dh-ocaml.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 18:17:05 +0100

camlidl (1.05-11) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Switch packaging to git
  * Update standards version to 3.8.0.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Feb 2009 18:17:23 +0100

camlidl (1.05-10) unstable; urgency=low

  * Build for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:44 +0200

camlidl (1.05-9) experimental; urgency=low

  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:24 +0200

camlidl (1.05-8) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Correct the debian/rules license,
  * Change email address to gildor@debian.org everywhere
  * Use DTD from docbook-xml package and not from docbook package

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 23 Jun 2007 17:17:08 +0100

camlidl (1.05-7) unstable; urgency=low

  * Use CDBS for debian/rules,
  * De-hijack the package, use @OCAML_TEAM@ in control.in,
  * Upgrade debhelper debian/compat to 5.

 -- Sylvain Le Gall <gildor@debian.org>  Sat,  4 Nov 2006 00:11:11 +0100

camlidl (1.05-6) unstable; urgency=low

  * Hijack the package, with the permission of Debian OCaml Maintainer,
  * Change my email address to gildor@debian.org,
  * Set me as only uploaders,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Jun 2006 19:05:15 +0200

camlidl (1.05-5) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 10 Jan 2006 23:49:33 +0100

camlidl (1.05-4) unstable; urgency=low

  * Update for ocaml 3.09, and stop hardcoding the ocaml version number in the
    source package (Julien Cristau).
  * Remove direct reference to ocaml library dir
  * Transition to svn-buildpackage
  * Add debian/control target in debian/rules
  * Rewrite patch 37_make to patch config/Makefile.unix rather than
    config/Makefile and copy this file during the build process

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 00:54:19 +0100

camlidl (1.05-3) unstable; urgency=low

  * Include printexc.h in comerror.c (Closes: #323221).
  * Upgrade policy to 3.6.2.0 (no change)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 15 Aug 2005 17:35:03 +0200

camlidl (1.05-2) unstable; urgency=medium

  * Transition to ocaml 3.08.3 : depends on ocaml-nox-3.08.3

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 23 Mar 2005 22:22:41 +0100

camlidl (1.05-1) unstable; urgency=low

  * New upstream version

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Tue,  3 Aug 2004 00:20:51 +0200

camlidl (1.04-8) unstable; urgency=low

  * Renew the watch file
  * Transition to -nox and ocaml 3.08 : depends on ocaml-nox-3.08

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Mon, 26 Jul 2004 23:28:53 +0200

camlidl (1.04-7) unstable; urgency=low

  * debian/patches/37_make.dpatch
    - install camlidlruntime.h in ocaml dir since /usr/include/caml is
      linked to it
  * debian/control
    - bumped standards version to 3.6.1.0

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 11 Nov 2003 18:31:47 +0100

camlidl (1.04-6) unstable; urgency=low

  * Rebuilt with ocaml 3.07

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  1 Oct 2003 14:12:59 +0200

camlidl (1.04-5) unstable; urgency=low

  * Rebuilt with ocaml 3.07beta2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 22 Sep 2003 17:34:40 +0200

camlidl (1.04-4) unstable; urgency=low

  * Switched to dpatch, no more diffs outside debian/ subdirectory:
    - added build-dep on dpatch
    - created debian/patches with one patch and the patch list file
    - changed debian/rules to use dpatch facilities
  * Moved camlidl under the Debian OCaml Maintainer "umbrella":
    - changed Maintainer field to Debian OCaml Maintained
      <debian-ocaml-maint@lists.debian.org>
    - added an Uploaders field containing (using debian login name):
      luther, marant, treinen, vanicat, zack
  * debian/rules
    - removed DH_COMPAT variable in favour of debian/compat
  * debian/control
    - added ${misc:Depends} to Depends field

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  6 Jun 2003 20:40:47 +0200

camlidl (1.04-3) unstable; urgency=low

  * Added examples (upstream "tests" dir content) in
    /usr/share/doc/camlidl/examples (Closes: Bug#187497)
  * Bumped Standards-Version to 3.5.9

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  3 Jun 2003 10:54:29 +0200

camlidl (1.04-2) unstable; urgency=low

  * Bugfix: don't try to install native code libraries if
    /usr/bin/ocamlopt is not executable

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 15 Mar 2003 13:17:02 +0100

camlidl (1.04-1) unstable; urgency=low

  * New upstream release
  * Removed creation of camlidl-doc package, now shipped as an extra
    package like upstream (Closes: Bug#175438)
  * Look for ocaml includes in /usr/include/ocaml/3.06
  * Installs camlidlruntime.h header in /usr/include/ocaml/3.06/caml

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  7 Mar 2003 15:52:43 +0100

camlidl (1.02-9) unstable; urgency=low

  * Build camlidl-doc in binary-indep target (Closes: Bug#174383)
  * Added "Section" for source file

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 27 Dec 2002 16:15:11 +0100

camlidl (1.02-8) unstable; urgency=low

  * Libdir transition to /usr/lib/ocaml/3.06
  * Changed depends and build depends to ocaml{,-base}-3.06-1
  * Bumped Standards-Version to 3.5.8
  * Better test for /usr/bin/ocamlopt existence
  * Removed useless targets binary-indep, configure

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Dec 2002 13:27:07 +0100

camlidl (1.02-7) unstable; urgency=low

  * Rebuilt against ocaml 3.06
  * Switched to debhelper 4
  * Added deps and build-deps to ocaml-3.06

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 27 Aug 2002 11:28:48 +0200

camlidl (1.02-6) unstable; urgency=low

  * Now build depends on ocaml >= 3.04-3, hopefully will compile also on
    ia64 and powerpc

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 11 Jan 2002 08:05:50 +0100

camlidl (1.02-5) unstable; urgency=low

  * Changed camlidl-doc architecture to "all".
  * Built with ocaml 3.04

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 21 Dec 2001 19:28:20 +0100

camlidl (1.02-4) unstable; urgency=low

  * Fixed spelling error in description (closes: Bug#124481).

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 18 Dec 2001 13:14:01 +0100

camlidl (1.02-3) unstable; urgency=low

  * Moved camlidlruntime.h to /usr/include/caml/.

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  3 Dec 2001 23:28:08 +0100

camlidl (1.02-2) unstable; urgency=low

  * Added conditional compilation of native lib module. (Closes: Bug#121369)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 27 Nov 2001 12:56:43 +0100

camlidl (1.02-1) unstable; urgency=low

  * Initial Release.
  * Adopted package from Georges Mariano <georges.mariano@inrets.fr> that
    build a preliminary version of this debian package.

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  8 Nov 2001 22:06:03 +0100
